obsolete

polkit-0.113-2.fc21

FEDORA-2015-11071 created by mitr 8 years ago for Fedora 21

Security fix for CVE-2015-3218, CVE-2015-3255, CVE-2015-3256, CVE-2015-4625

This update has been submitted for testing by mitr.

8 years ago

Taskotron: depcheck test PASSED on i386. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/103072/steps/runtask/logs/stdio (results are informative only)

Taskotron: depcheck test PASSED on x86_64. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/103072/steps/runtask/logs/stdio (results are informative only)

This update is currently being pushed to the Fedora 21 testing updates repository.

8 years ago

This update has been pushed to testing

8 years ago
User Icon hreindl commented & provided feedback 8 years ago
karma

works for me

on an x86_64 machine dnf --enablerepo=updates-testing install polkit.i686 Package polkit-0.112-7.fc21.1.i686 dnf --enablerepo=updates-testing install polkit polkit-0.113-1.fc21.x86_64 so no polkit-0.113-1.fc21.i686 ?

(Disabling autopush until updates on multilib i686 are fixed; the -libs split caused polkit.i686 to disapear on x86_64, which makes upgrades impossible.)

mitr has edited this update. New build(s): polkit-0.113-2.fc21. Removed build(s): polkit-0.113-1.fc21.

8 years ago

This update has been submitted for testing by mitr.

8 years ago

Taskotron: depcheck test PASSED on x86_64. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/104683/steps/runtask/logs/stdio (results are informative only)

Taskotron: depcheck test PASSED on i386. Result log: https://taskotron.fedoraproject.org/taskmaster//builders/x86_64/builds/104686/steps/runtask/logs/stdio (results are informative only)

This update is currently being pushed to the Fedora 21 testing updates repository.

8 years ago

This update has been pushed to testing

8 years ago
User Icon yuwata commented & provided feedback 8 years ago
karma

Cannot update from 0.113-1 Transaction check error: file /usr/lib64/libpolkit-agent-1.so.0.0.0 from install of polkit-0.113-2.fc21.x86_64 conflicts with file from package polkit-libs-0.113-1.fc21.x86_64 file /usr/lib64/libpolkit-gobject-1.so.0.0.0 from install of polkit-0.113-2.fc21.x86_64 conflicts with file from package polkit-libs-0.113-1.fc21.x86_64 Error Summary

User Icon ppisar commented & provided feedback 8 years ago
karma

If you revert polkit-libs split from polkit, new polkit should provide and obsolete old polkit-libs. Otherwise you get error reported by yawata.

User Icon cairo commented & provided feedback 8 years ago
karma

Install fails with conflicts

This update has reached a karma of -3 and is being unpushed and marked as unstable

8 years ago

Please login to add feedback.

Metadata
Type
security
Karma
-3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
8 years ago
in testing
8 years ago
modified
8 years ago
BZ#910262 [abrt] polkit-0.107-4.fc18: js::PropertyTable::search: Process /usr/lib/polkit-1/polkitd was killed by signal 11 (SIGSEGV)
0
0
BZ#1175061 [abrt] polkit: js::ShapeTable::search(): polkitd killed by SIGSEGV
0
0
BZ#1177930 [abrt] polkit: LookupPropertyWithFlagsInline(): polkitd killed by SIGSEGV
0
0
BZ#1194391 [abrt] polkit: getObjectClass(): polkitd killed by SIGSEGV
0
0
BZ#1228738 CVE-2015-3218 polkit: crash authentication_agent_new with invalid object path in RegisterAuthenticationAgent
0
0
BZ#1228739 CVE-2015-3218 polkit: crash authentication_agent_new with invalid object path in RegisterAuthenticationAgent [fedora-all]
0
0
BZ#1233808 CVE-2015-4625 polkit: potential information disclosure vulnerability due to cookie counter wrapping
0
0
BZ#1233810 CVE-2015-4625 polkit: potential information disclosure vulnerability due to cookie counter wrapping [fedora-all]
0
0

Automated Test Results